org.gradle.api.tasks.compile

## Class AbstractOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CompileOptions, DebugOptions, DependOptions, ForkOptions, GroovyCompileOptions, GroovyForkOptions

      public abstract class AbstractOptions
      extends Object
      implements Serializable

  Base class for compilation-related options.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `define(Map<String,Object> args)`
    `protected List<String>` | `excludedFieldsFromOptionMap()`
    `protected Map<String,String>` | `fieldName2AntMap()`
    `protected Map<String,? extends Callable<Object>>` | `fieldValue2AntMap()`
    `Map<String,Object>` | `optionMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptions

          public AbstractOptions()

  - ### Method Detail

    - #### define

          public void define(@Nullable
                    Map<String,Object> args)

    - #### optionMap

          public Map<String,Object> optionMap()

    - #### excludedFieldsFromOptionMap

          protected List<String> excludedFieldsFromOptionMap()

    - #### fieldName2AntMap

          protected Map<String,String> fieldName2AntMap()

    - #### fieldValue2AntMap

          protected Map<String,? extends Callable<Object>> fieldValue2AntMap()